package szakdolgozat.client.ui;

import com.smartgwt.client.widgets.grid.ListGridRecord;


public class UserListRecord extends ListGridRecord {
	
	public UserListRecord(String username, int gamesplayed, double gameswon){
		setUserName(username);
		setGamesPlayed(gamesplayed);
		setGamesWon(gameswon);
	}
	public void setGamesWon(double gameswon) {
		setAttribute("arány", gameswon);
		
	}
	public void setGamesPlayed(int gamesplayed) {
		setAttribute("játékszám", gamesplayed);
		
	}
	public void setUserName(String username) {
		setAttribute("név", username);
		
	}
	
	public double getGamesWon() {
		return getAttributeAsDouble("arány");
		
	}
	public int getGamesPlayed() {
		return getAttributeAsInt("játékszám");
		
	}
	public String getUserName() {
		return getAttributeAsString("név");
		
	}
	
	
	
	public UserListRecord() {
	}

}
